<?php

namespace Drupal\decoupled_kit_metatag\Routing;

use Symfony\Component\Routing\Route;
use Drupal\Core\Controller\ControllerBase;

/**
 * Defines dynamic routes.
 */
class Routes extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  public function routes() {
    $routes = [];
    $prefix = $this->config('decoupled_kit.config')->get('path_prefix');

    $routes['decoupled_kit_metatag.index'] = new Route(
      '/' . $prefix . '/metatag',
      [
        '_controller' => '\Drupal\decoupled_kit_metatag\Controller\DefaultController::index',
        '_title' => 'index',
      ],
      [
        '_permission'  => 'access content',
      ]
    );
    return $routes;
  }

}
